model = {
	counter: 10,
	isTouched: false,
	settingsLock: false,
	versionTxt: '',

	onLoad: function(sC, eC){
		var self = this;

		// set version text string
		self.versionTxt = 'App-Version '+app.settings.get('api.mid')+'.'+app.settings.get('REV').substring(1);

		// update version text to versionstring
		$('#version-number').html(self.versionTxt);

		sC();
	},
	onFocus: function(sC, eC){
		var self = this;
		models("#header").changeHeader('text', $.t('menu.headlineOverview'));
		models("#footer").data.activeTab("nav");
		sC();
	},
	afterShow: function(sC,eC){
		var self = this;

		var vnObj = $('#version-number');
		var vnDom = vnObj.get(0);

		vnDom.addEventListener('touchstart', function(e){
			// set INFO-MSG after 5 Seconds
			setTimeout(function(){
				if (self.isTouched){
					vnObj.html("release to load settings").css("background","#000");
					self.settingsLock = true;
				}
			},5000);
			self.isTouched = true;

			e.preventDefault();
		}, false);

		vnDom.addEventListener('touchend', function(e){			
			if (self.settingsLock){
				vnObj.html(self.versionTxt).css("background","none");
				app.nav.loadPage('#devOptions');
			}

			self.isTouched = false;
			self.settingsLock = false;

			e.preventDefault();
		}, false);

		var remainingPages = {
			'#startup':true,
			'#header':true,
			'#footer':true,
			'#share':true
		};

		remainingPages[self.id()]=true;
		app.nav.showContainer('loading', true);
		app.nav.history.remove(
			remainingPages,
			function(succ){
				app.nav.hideContainer('loading');
				sC();
			}
		);
	},
	onBlur: function(sC,eC){
		//models("#footer").data.activeTab("");
		sC();
	}
}