model = {
	onLoad: function(sC, eC){
		if(!app.nav.page.is.loadedPage("#header")){
			app.nav.loadPage("#header",{pageLvl:1,noHistory: true},function(){
				models("#header").changeHeader('basket_hide');
				models("#header").changeHeader('text', $.t('onboarding.resetPassword'));
				sC();
			});
		}
		else{
			sC();
		}
	},
	onFocus: function(sC, eC){
		app.nav.showLevel(1);
		models("#header").changeHeader('basket_hide');
		models("#header").changeHeader('text', $.t('onboarding.resetPassword'));
		sC();
	},
	validateInput: function(cObj){
		if($(cObj).attr("type")=='email'){
			var re = /[\s\S]{1,}@[\s\S]{2,}.[a-z]{2,}/
			//var re = /\A([a-z0-9\+\._\/&!][-a-z0-9\+\._\/&!]*)@(([a-z0-9][-a-z0-9]*\.)([-a-z0-9]+\.)*[a-z]{2,})\z/i;
		}
		else if($(cObj).attr("type")=='password'){
			var re = /[\s\S]{5,}/;
		}
		else if($(cObj).attr("data-type")=='username'){
			var re = /[a-zA-Z0-9\-_]{3,40}/;
		}
		else if($(cObj).attr("data-type")=='forename' || $(cObj).attr("data-type")=='surname'){
			var re = /[\s\S]{1,}/;
		}
		else{
			var re;
		}
		valid = re.test(cObj.value);

		if(valid){
			$(cObj).parent().removeClass('error error-icon');
			$(cObj).parent().children('span:first').removeClass('icon icon-exclamation-mark-bullet validate-icon');
		}
		else{
			$(cObj).parent().addClass('error error-icon');
			$(cObj).parent().children('span:first').addClass('icon icon-exclamation-mark-bullet validate-icon');
		}
		console.log(valid);
		return valid;
	},
	resetPassword: function(){
		var self = this;
		var cPage = self.page.get();
		var emailaddress = cPage.find('#form_field_1').val();

		if(self.validateInput(cPage.find('#form_field_1').get(0))){
			self.resetPasswordAPI(
				emailaddress,
				function(succ){
					app.nav.alert.show($.t('onboarding.messages.successEmailHasBeenSend'));
					app.nav.goBack();
				},
				function(err){
					app.nav.alert.show($.t('onboarding.messages.errorUnknownError'),'error');
				}
			);
		}
		else{
			var error_array = [];
			if(!inputValid1){
				error_array.push($.t('onboarding.errorEmailValidity'));
			}
			app.nav.alert.show(error_array.join("<br />"), 'error');
		}
	},
	resetPasswordAPI: function(emailaddress, sC, eC){
		var self = this;
		var cPage = self.page.get();
		app.api.doAPIRequestAsync(
			':apiPasswordReset',
			'password_resets',
			{'password_reset':{'email':emailaddress}},
			'post',
			function(result){
				if(result.result===true){
					sC();
				}
				else{
					eC();
				}
			},
			function(err){
				// ERROR
				console.error(err);
			}
		);
	}
}