model = {
	onLoad: function(sC, eC){
		//app.nav.hideLevel(2);
		//app.nav.showLevel(1);
		if(app.nav.page.is.loadedPage("#header")){
			models("#header").changeHeader('text', $.t('onboarding.pN'));
			sC();
		}
		else{
			app.nav.loadPage("#header",{pageLvl:1,noHistory: true},function(){
				models("#header").changeHeader('text', 'Push Notifications');
				sC();
			});
		}
	},
	onFocus: function(sC, eC){
		app.nav.showLevel(1);
		models("#header").changeHeader('text', $.t('onboarding.pN'));
		sC();
	},
	setPNSettings: function(sendPN){
		// save PN Settings
		if(sendPN){
			app.settings.set("pn.channels.reminders", true, true, function(){
				app.settings.set("pn.channels.inspirations", true, true, function(){
					app.settings.set("pn.channels.highlights", true, true, function(){
						app.settings.set("pn.hasBeenAsked", true, true);
						app.system.push.register(function(){
								models('#startup').onboardingSuccess(function(){});
						}, function(){});
					});
				});
			});
		}
		else{
			if(!(app.settings.get("pn.channels.reminders")==false && app.settings.get("pn.channels.inspirations")==false && app.settings.get("pn.channels.highlights")==false)){
				app.settings.set("pn.channels.reminders", false, true, function(){
					app.settings.set("pn.channels.inspirations", false, true, function(){
						app.settings.set("pn.channels.highlights", false, true, function(){
							app.system.push.register(function(){
								models('#startup').onboardingSuccess(function(){});
							}, function(){});
						});
					});
				});
			}else{
				models('#startup').onboardingSuccess(function(){});
			}
		}
	}
}