model = {
	onLoad: function(sC, eC){
		//app.nav.hideLevel(2);
		//app.nav.showLevel(1);
		models("#header").changeHeader('text', $.t('onboarding.validateEmail'));
		sC();
	},
	onFocus: function(sC, eC){
		models("#header").changeHeader('text', $.t('onboarding.validateEmail'));
		sC();
	},
	resendValidationEmail: function(){
		self = this;
		var username = app.settings.get('api.userName');
		self.resendValidationEmailAPI(
			username,
			function(result){
				if(result.result===true){
					app.nav.alert.show($.t('onboarding.messages.successEmailHasBeenSend'));
				}
				else{
					app.nav.alert.show($.t('onboarding.messages.errorUnknownError'), 'error');
				}
			},
			function(){
				app.nav.alert.show($.t('onboarding.messages.errorUnknownError'), 'error');
			}
		);
	},
	resendValidationEmailAPI: function(username, sC, eC){
		app.api.doAPIRequestAsync(
			':apiResendEmail',
			'account_validations',
			{'account_validation':{'username':username}},
			'post',
			function(result){
				sC(result);
			},
			function(err){
				// ERROR
				console.error(err);
				eC();
			}
		);
	},
	proceedLogin: function(){
		if(app.settings.get("pn.hasBeenAsked")===true){
			models('#startup').onboardingSuccess(function(){});
		}
		else{
			app.nav.loadPage('#onboardingPNSettings',{noHistory: true},function(){
				//app.nav.history.clear();
			});
		}
	}
}