model = {
	_iFrameId: 0,
	_registerId: 0,
	onLoad: function(sC,eC){
		var self = this;
		var rToken = app.settings.get("api.sessionToken");
		if (!rToken){
			app.nav.alert.show($.t('cart.messages.missingSessionToken'),"error");
			//app.nav.page.remove(self.id());
			self.page.remove();
			eC();
		}else{
			var cartFrameSource = "https://"+app.settings.get('LANGUAGE')+".dawanda.com/cart/show?mobile=cc813c2796e739d647346215a0ed147d&utm_nooverride=1&utm_source="+app.settings.get('LANGUAGE')+"_mobapp&utm_content="+app.settings.get('LANGUAGE')+"_mobapp&partnerid="+app.settings.get('LANGUAGE')+"_mobapp&_dawanda_session="+rToken;
			self.page.get().find("[data-ident='cartFrame']:first").attr("src",cartFrameSource);
			sC();
		}
	},
	onFocus: function(sC,eC,eParams){
		var self = this;
		models("#header").changeHeader('logo_show');
		app.nav.hideLevel(3);
		app.nav.hideLevel(4);
		app.api.doAPIRequestAsync(
			':api',
			'cart_items/count',
			{},
			'get',
			function(result){
				app.system.cartCountValue(result);
				sC();
			},
			function(){
				eC();
			}
		);

		// register iFrame only on first call
		if (eParams.firstCall){
			self._iFrameId = app.helper.nav.iframe.register(self.page.get().find("[data-ident='cartFrame']:first").get(0),"https://"+app.settings.get('LANGUAGE')+".dawanda.com");
		}

		// register 'goBack' function
		self._registerId = app.nav.register.pageCallback("goBackCheck",function(){
			var _iId = self._iFrameId;
			var _iB = app.helper.nav.iframe.history.isBackable(_iId);
			console.log("iFrame.goBackCheck ("+_iId+"): "+_iB);
			if (_iB){
				app.helper.nav.iframe.history.goBack(_iId);
				return false;
			}
			return true;
		});
	},
	afterShow: function(sC,eC){
		var self = this;
		/*
		var remainingPages = {
			'#startup':true,
			'#header':true,
			'#footer':true,
			'#filter':true,
			'#share':true
		};
		remainingPages[self.id()]=true;
		app.nav.showContainer('loading', true);
		app.nav.history.remove(
			remainingPages,
			function(succ){
				app.nav.hideContainer('loading');
				sC();
			}
		);
		*/
		sC();
	},
	onBlur: function(sC,eC){
		var self = this;

		// remove 'goBack' function
		app.nav.register.removeCallback("goBackCheck",self._registerId);

		app.api.doAPIRequestAsync(
			':api',
			'cart_items/count',
			{},
			'get',
			function(result){
				app.system.cartCountValue(result);
				sC();
			},
			function(){
				eC();
			}
		);
	}
}