model = {
	onLoad: function(sC,eC){
		var self = this;
		
		// get already loaded inspireData from level1
		var inspireData = models(self.params.get("refPageId")).getInspireDataFor(self.params.get("id"));
		
		// check for errors
		if (_.isNull(inspireData)){
			// toDo something wrong
			eC();
			return;
		}

		_(inspireData.inspiration_sources).forEach(function(cElement){
			if(cElement.name.length>12){
				var lastBindeStrich_z1 = cElement.name.trim().substr(0,12).lastIndexOf('-');
				var lastBindeStrich_z2 = cElement.name.trim().substr(12,13).indexOf('-');
				var llz_z1 = cElement.name.trim().substr(0,12).lastIndexOf(' ');
				var llz_z2 = cElement.name.trim().substr(12,13).indexOf(' ');
				if(lastBindeStrich_z1!=(-1) || lastBindeStrich_z2!=(-1)){
					if(lastBindeStrich_z1!=(-1)){
						cElement.name = cElement.name.substr(0,lastBindeStrich_z1+1) + '<br />' + cElement.name.substr(lastBindeStrich_z1+1);
						cElement.needTwoCols = true;
					}
					else{
						if(lastBindeStrich_z2!=(-1)){
							cElement.needTwoCols = true;
						}
						else{
							cElement.needTwoCols = false;
						}
					}
				}
				else{
					if(llz_z1!=(-1)){
						cElement.name = cElement.name.substr(0,llz_z1) + '<br />' + cElement.name.substr(llz_z1+1);
						cElement.needTwoCols = true;
					}
					else{
						if(llz_z2!=(-1)){
							cElement.needTwoCols = true;
						}
						else{
							cElement.needTwoCols = false;
						}
					}
				}
			}
			else{
				cElement.needTwoCols = false;
			}
		});

		// create an observableArray for auto-bindings
		self.observedData = ko.observableArray();

		// set headline-data
		var headline = self.page.get().find("h2:first");

		// format topic
		var newName = '';
		if(inspireData.name.length>19){
			//letztes leerzeichen in der ersten zeile wird gesucht
			var llz_z1 = inspireData.name.substr(0,19).lastIndexOf(' ');
			if(llz_z1!=(-1)){
				newName = inspireData.name.substr(0,llz_z1) + '<br />' + inspireData.name.substr(llz_z1+1);
				headline.parent().addClass('two-lines');
			}
			else{
				//erstes leerzeichen in der zweiten zeile wird gesucht
				var llz_z1 = inspireData.name.substr(19).indexOf(' ');
				if(llz_z1!=(-1)){
					headline.parent().addClass('two-lines');
				}
				newName = inspireData.name;
			}
		}
		else{
			newName = inspireData.name;
		}

		//headline.parent().addClass('two-lines');
		headline.css({color: inspireData.color});
		headline.html(newName);

		// this will bind the data to the template
		self.data.orderedInspireSources = ko.computed(function(){
			var rData = [];
			var cPos = -1;
			_(self.observedData()).forEach(function(cElement,cIndex){
				if (cIndex%2==0){
					cPos++;
					rData[cPos] = [];
				}
				rData[cPos].push(cElement);
			});
			return rData;
		}).extend({ throttle: 500 });	// refresh data only every 500ms after a change

		sC();
	},
	afterShow: function(sC,eC,eParams){
		var self = this;
		var inspireData = models(self.params.get("refPageId")).getInspireDataFor(self.params.get("id"));

		// check for firstCall
		if(!eParams.firstCall){
			sC();
			return;
		}

		_(inspireData.inspiration_sources).forEach(function(cElement,cIndex){
			self.observedData.push(cElement);
		});

		// IMPORTANT: refresh the scroll watcher
		self.scroll.refresh();
		window.setTimeout(function(){
			self.scroll.refresh();
		},500);

		sC();
	}
};