model = {
	onLoad: function(sC, eC){
		sC();
	},
	onFocus: function(sC, eC){
		var self = this;
		models("#header").changeHeader('text', $.t('menu.headlineNotifications'));
		self.setSwitches();
		sC();
	},
	setSettings: function(){
		var self = this;
		var cPage = self.page.get();
		
		app.settings.set("pn.channels.reminders", !(_.isUndefined(cPage.find('#menu_notifications_checkbox_reminders:checked').val())), true, function(){
			app.settings.set("pn.channels.inspirations", !(_.isUndefined(cPage.find('#menu_notifications_checkbox_inspirations:checked').val())), true, function(){
				app.settings.set("pn.channels.highlights", !(_.isUndefined(cPage.find('#menu_notifications_checkbox_highlights:checked').val())), true, function(){
					app.system.push.register(function(){
						self.setSwitches();
					}, function(){});
				});
			});
		});
	},
	setSwitches: function(){
		var self = this;
		var cPage = self.page.get();
		cPage.find('#menu_notifications_checkbox_reminders').prop("checked", app.settings.get("pn.channels.reminders"));
		cPage.find('#menu_notifications_checkbox_inspirations').prop("checked", app.settings.get("pn.channels.inspirations"));
		cPage.find('#menu_notifications_checkbox_highlights').prop("checked", app.settings.get("pn.channels.highlights"));
	}
}