model = {
	onLoad: function(sC, eC){
		sC();
	},
	onFocus: function(sC, eC){
		models("#header").changeHeader('text', $.t('menu.headlineRegionalSettings'));
		var self = this;
		var cPage = self.page.get();
		$('#language-div').html($.t('menu.lang'+app.settings.get('LANGUAGE').toUpperCase()));
		$('#language-div').attr({'data-language':app.settings.get('LANGUAGE')});
		$('#currency-div').html($.t('menu.currency'+app.settings.get('CURRENCY').toUpperCase()));
		$('#currency-div').attr({'data-currency':app.settings.get('CURRENCY')});
		sC();
	},
	setAppLanguage: function(){
		//app.system.set('LANGUAGE', )
	},
	toggleLanguageList: function(cObj){
		var self = this;
		var cPage = self.page.get();
		var cList = $(cObj).parent().children('ul:first');
		if(cList.css('display') == 'none'){
			$('#currency-div').parent().removeClass('active');
			$('#currency-div').parent().children('ul:first').removeClass('active').css({'display':'none'});
			cList.css({'display':'block'});
			$(cObj).addClass('active');
			$(cObj).parent().addClass('active');
		}
		else{
			cList.css({'display':'none'});
			$(cObj).removeClass('active');
			$(cObj).parent().removeClass('active');
		}
		console.log('toggleLanguageList');
	},
	closeLanguageList: function(cObj){
		var self = this;
		var cPage = self.page.get();
		var cListe = $(cObj).parent();
		var cLabel = $(cObj).parent().parent();

		var newLng = $(cObj).attr('data-language');
		
		cListe.css({'display':'none'});
		cLabel.children('div:first').html($(cObj).html());
		cLabel.children('div:first').attr({'data-language':newLng});
		cLabel.children('div:first').removeClass('active');
		cLabel.removeClass('active');

		app.settings.set('LANGUAGE', newLng, true);
		app.helper.nav.i18n.changeLng(newLng,function(){
			app.nav.alert.show($.t('menu.messages.langChangeSuccess'));
			self.page.refreshLng();
			if(app.nav.page.is.loadedPage("#menuOverview")){
				models('#menuOverview').page.refreshLng();
				console.log('#menuOverview lang change initiated');
			}
			if(app.nav.page.is.loadedPage("#menuNotifications")){
				models('#menuNotifications').page.refreshLng();
				console.log('#menuNotifications lang change initiated');
			}
			if(app.nav.page.is.loadedPage("#menuAbout")){
				models('#menuAbout').page.refreshLng();
				console.log('#menuAbout lang change initiated');
			}
			if(app.nav.page.is.loadedPage("#menuImprint")){
				models('#menuImprint').page.refreshLng();
				console.log('#menuImprint lang change initiated');
			}
			models("#header").changeHeader('text', $.t('menu.headlineRegionalSettings'));
			$('#language-div').html($.t('menu.lang'+app.settings.get('LANGUAGE').toUpperCase()));
			$('#language-div').attr({'data-language':app.settings.get('LANGUAGE')});
			console.log('closeLanguageList');
			app.system.push.register(function(){}, function(){});
		});
	},
	toggleCurrencyList: function(cObj){
		var self = this;
		var cPage = self.page.get();
		var cList = $(cObj).parent().children('ul:first');
		if(cList.css('display') == 'none'){
			$('#language-div').parent().removeClass('active');
			$('#language-div').parent().children('ul:first').removeClass('active').css({'display':'none'});
			cList.css({'display':'block'});
			$(cObj).addClass('active');
			$(cObj).parent().addClass('active');
		}
		else{
			cList.css({'display':'none'});
			$(cObj).removeClass('active');
			$(cObj).parent().removeClass('active');
		}
		console.log('toggleCurrencyList');
	},
	closeCurrencyList: function(cObj){
		var self = this;
		var cPage = self.page.get();
		var cListe = $(cObj).parent();
		var cLabel = $(cObj).parent().parent();
		cListe.css({'display':'none'});
		cLabel.children('div:first').html($(cObj).html());
		cLabel.children('div:first').attr({'data-currency':$(cObj).attr('data-currency')});
		cLabel.children('div:first').removeClass('active');
		cLabel.removeClass('active');
		app.settings.set('CURRENCY', $(cObj).attr('data-currency'), true);
		console.log('closeCurrencyList');
	}
}