model = {
	onLoad: function(sC, eC){
		sC();
	},
	afterShow: function(sC,eC){
		self = this;
		if(app.nav.page.is.loadedPage("#header")){
			app.nav.hideLevel(1);
			models("#header").changeHeader('basket_hide');
		}
		if(app.nav.page.is.loadedPage("#footer")){
			app.nav.hideLevel(2);
		}
		sC();
	},
	loginDawanda: function(){
		var self = this;
		var cPage = self.page.get();
		var email_username = cPage.find('#login_input_email_username').val();
		var password = cPage.find('#login_input_password').val();

		var login_input_email_username = cPage.find('#login_input_email_username').get(0);
		var login_input_password = cPage.find('#login_input_password').get(0);

		var inputValid1 = self.validateInput(login_input_email_username);
		var inputValid2 = self.validateInput(login_input_password);
		if(inputValid1 && inputValid2){
			//cPage.find('.button-container').children('button').prop("disabled", true).removeClass('btn-green medium-button-green').addClass('btn-grey medium-button-grey');
			//self.page.getLoading().removeClass("hidden");
			login_input_email_username.blur();
			login_input_password.blur();
			app.nav.showContainer('loading', true);
			self.loginDawandaAPI(
				email_username,
				password,
				function(result){
					analytics.trackEvent('Onboarding', 'login', null, 'DaWanda');
					app.settings.set("LANGUAGE",result.data.platform, true, function(){
						app.helper.nav.i18n.changeLng(result.data.platform,function(){
							var cLang = app.settings.get('LANGUAGE');
							if(device.platform.toLowerCase()=='android'){
								// adjust android login event
								if(cLang=='de'){
									Adjust.trackEvent('xnmqq1');
								}
								else if(cLang=='en'){
									Adjust.trackEvent('v562bn');
								}
								else if(cLang=='es'){
									Adjust.trackEvent('8ft8sk');
								}
								else if(cLang=='fr'){
									Adjust.trackEvent('qd3cj9');
								}
								else if(cLang=='it'){
									Adjust.trackEvent('fmz3fj');
								}
								else if(cLang=='nl'){
									Adjust.trackEvent('3mq6ve');
								}
								else if(cLang=='pl'){
									Adjust.trackEvent('j9u0mb');
								}
							}
							else if(device.platform.toLowerCase()=='ios'){
								// adjust ios login event
								if(cLang=='de'){
									Adjust.trackEvent('l7oria');
								}
								else if(cLang=='en'){
									Adjust.trackEvent('2w5qtk');
								}
								else if(cLang=='es'){
									Adjust.trackEvent('p6r97b');
								}
								else if(cLang=='fr'){
									Adjust.trackEvent('z4qr2b');
								}
								else if(cLang=='it'){
									Adjust.trackEvent('j6bq3v');
								}
								else if(cLang=='nl'){
									Adjust.trackEvent('z89gen');
								}
								else if(cLang=='pl'){
									Adjust.trackEvent('11zmis');
								}
							}
							app.settings.set('api.userLoggedIn', true, true);
							if(app.nav.page.is.loadedPage("#header")){
								models('#header').page.refreshLng();
							}
							cPage.find('#login_input_email_username').val('');
							cPage.find('#login_input_password').val('');
							if(app.settings.get("pn.hasBeenAsked")===true){
								models('#startup').onboardingSuccess(function(){});
							}
							else{
								app.nav.loadPage('#onboardingPNSettings',{noHistory: true},function(){
									app.nav.history.clear();
								});
							}
						});
					});
				},
				function(result){
					//cPage.find('.button-container').children('button').prop("disabled", false).removeClass('btn-grey medium-button-grey').addClass('btn-green medium-button-green');
					//self.page.getLoading().addClass("hidden");
					app.nav.hideContainer('loading');
					if(result.result===false && result.data==401){
						$('#login_input_email_username').parent().parent().addClass('invalid-message').children('span:first').html($.t('onboarding.messages.loginDataIncorrect')).css({'display':'block'});
						$('#login_input_password').parent().parent().addClass('invalid-message').children('span:first').html($.t('onboarding.messages.loginDataIncorrect')).css({'display':'block'});
					}
					else{
						app.nav.alert.show($.t('onboarding.messages.errorUnknownError'),'error');
					}
				}
			);
		}
	},
	loginDawandaAPI: function(email_username, password, sC, eC){
		app.api.doAPIRequestAsync(
			':apiLoginDW',
			'sessions',
			{'user':{'email_or_username':email_username, 'password':password, 'remember_me':true}},
			'post',
			function(result){
				if(result.result===true){
					sC(result);
				}
				else{
					eC(result);
				}
			},
			function(result){
				eC(result);
			}
		);
	},
	loginFacebook: function(){
		var self = this;
		var cPage = self.page.get();
		//cPage.find('.button-container').children('button').prop("disabled", true).removeClass('btn-green medium-button-green').addClass('btn-grey medium-button-grey');
		//self.page.getLoading().removeClass("hidden");
		self.loginFacebookAPI(
			function(result){
				//cPage.find('.button-container').children('button').prop("disabled", false).removeClass('btn-grey medium-button-grey').addClass('btn-green medium-button-green');
				//self.page.getLoading().addClass("hidden");
				app.nav.showContainer('loading', true);
				if(result.result===true){
					analytics.trackEvent('Onboarding', 'login', null, 'Facebook');
					app.settings.set("LANGUAGE",result.data.platform, true, function(){
						app.helper.nav.i18n.changeLng(result.data.platform,function(){
							var cLang = app.settings.get('LANGUAGE');
							if(device.platform.toLowerCase()=='android'){
								// adjust android facebook connect event
								if(cLang=='de'){
									Adjust.trackEvent('64jjcw');
								}
								else if(cLang=='en'){
									Adjust.trackEvent('ulm3iz');
								}
								else if(cLang=='es'){
									Adjust.trackEvent('it0xxg');
								}
								else if(cLang=='fr'){
									Adjust.trackEvent('n0e41r');
								}
								else if(cLang=='it'){
									Adjust.trackEvent('1p3324');
								}
								else if(cLang=='nl'){
									Adjust.trackEvent('73fhyi');
								}
								else if(cLang=='pl'){
									Adjust.trackEvent('t23s20');
								}
							}
							else if(device.platform.toLowerCase()=='ios'){
								// adjust ios facebook connect event
								if(cLang=='de'){
									Adjust.trackEvent('686ltr');
								}
								else if(cLang=='en'){
									Adjust.trackEvent('ldbv48');
								}
								else if(cLang=='es'){
									Adjust.trackEvent('2x33q2');
								}
								else if(cLang=='fr'){
									Adjust.trackEvent('kwp8xx');
								}
								else if(cLang=='it'){
									Adjust.trackEvent('2sin8x');
								}
								else if(cLang=='nl'){
									Adjust.trackEvent('nn22bn');
								}
								else if(cLang=='pl'){
									Adjust.trackEvent('u7639c');
								}
							}
							app.settings.set('api.userLoggedIn', true, true);
							if(app.nav.page.is.loadedPage("#header")){
								models('#header').page.refreshLng();
							}
							if(app.settings.get("pn.hasBeenAsked")===true){
								models('#startup').onboardingSuccess(function(){});
							}
							else{
								app.nav.loadPage('#onboardingPNSettings',{noHistory: true},function(){
									app.nav.history.clear();
								});
							}
						});
					});
				}
				else if(result.result===false && (!_.isUndefined(result.data.errors)) && (!_.isUndefined(result.data.errors.terms))){
					app.nav.hideContainer('loading');
					app.nav.loadPage('#onboardingSignupFacebook', {'referrer':'login'});
				}
				else if(result.result===false){
					app.nav.hideContainer('loading');
					app.nav.alert.show($.t('onboarding.messages.errorFacebookLogin'),'error');
				}
				else{
					app.nav.hideContainer('loading');
					app.nav.alert.show($.t('onboarding.messages.errorUnknownErrorFacebookLogin'),'error');
				}
			},
			function(){
				//cPage.find('.button-container').children('button').prop("disabled", false).removeClass('btn-grey medium-button-grey').addClass('btn-green medium-button-green');
				//self.page.getLoading().addClass("hidden");
				app.nav.hideContainer('loading');
				app.nav.alert.show($.t('onboarding.messages.errorFacebookLogin'),'error');
			}
		);
	},
	loginFacebookAPI: function(sC, eC){
		facebookConnectPlugin.getLoginStatus(
			function(succ){
				if(succ.status=='connected'){
					// if status is connected
					facebookConnectPlugin.api(
						'/me/permissions',
						[],
						function(result1){
							// result1 = object with current permissions, need to check if enough
							var necessaryPermissions = new Array('email');
							_(result1.data).forEach(function(cElement){
								var index = necessaryPermissions.indexOf(cElement.permission);
								if(index > -1){
									necessaryPermissions.splice(index, 1);
								}
							});
							// if more than given perms needed
							if(necessaryPermissions.length>0){
								facebookConnectPlugin.api(
									'/me/permissions',
									necessaryPermissions,
									function(result2){
										// result2 = new Permission Object with all Perms needed (object is not needed)
										facebookConnectPlugin.getAccessToken(
											function(result3){
												// result3 = AccessToken
												app.api.doAPIRequestAsync(
													':apiLoginFB',
													'facebook_connections',
													{'facebook_connection':{'access_token':result3, 'remember_me':true, 'partner':app.settings.get('LANGUAGE')+'_mobapp', 'terms':false, 'receive_newsletter':false}},
													'post',
													function(result4){
														// result4 is true if login ok, else false
														sC(result4);
													},
													function(err){
														// ERROR
														console.error(err);
														eC();
													}
												);
											},
											function(err){
												// ERROR
												console.error(err);
												eC();
											}
										);
									},
									function(err){
										// ERROR
										console.error(err);
										eC();
									}
								);
							}
							// if all needed perms are given
							else{
								facebookConnectPlugin.getAccessToken(
									function(result2){
										// result2 = AccessToken
										app.api.doAPIRequestAsync(
											':apiLoginFB',
											'facebook_connections',
											{'facebook_connection':{'access_token':result2, 'remember_me':true, 'partner':app.settings.get('LANGUAGE')+'_mobapp', 'terms':false, 'receive_newsletter':false}},
											'post',
											function(result3){
												// result3 is true if login ok, else false
												sC(result3);
											},
											function(err){
												// ERROR
												console.error(err);
												eC();
											}
										);
									},
									function(err){
										// ERROR
										console.error(err);
										eC();
									}
								);
							}
						},
						function(err){
							// ERROR
							// this function is fired if user deletes dawanda permission on facebook
							//alert('Sie haben DaWanda auf Facebook die App-Berechtigung entzogen, bitte neu einloggen!');
							console.error(err);
							facebookConnectPlugin.login(
								new Array('email'),
								function(succ){
									facebookConnectPlugin.getAccessToken(
										// result1 = AccessToken
										function(result1){
											app.api.doAPIRequestAsync(
												':apiLoginFB',
												'facebook_connections',
												{'facebook_connection':{'access_token':result1, 'remember_me':true, 'partner':app.settings.get('LANGUAGE')+'_mobapp', 'terms':false, 'receive_newsletter':false}},
												'post',
												function(result2){
													// result2 is true if login ok, else false
													sC(result2);
												},
												function(err){
													// ERROR
													console.error(err);
													eC();
												}
											);
										},
										function(err){
											// ERROR
											console.error(err);
											eC();
										}
									);
								},
								function(err){
									// ERROR
									console.error(err);
									eC();
								}
							);
						}
					);
				}
				else{
					// if status is NOT connected
					facebookConnectPlugin.login(
						new Array('email'),
						function(succ){
							facebookConnectPlugin.getAccessToken(
								// result1 = AccessToken
								function(result1){
									app.api.doAPIRequestAsync(
										':apiLoginFB',
										'facebook_connections',
										{'facebook_connection':{'access_token':result1, 'remember_me':true, 'partner':app.settings.get('LANGUAGE')+'_mobapp', 'terms':false, 'receive_newsletter':false}},
										'post',
										function(result2){
											// result2 is true if login ok, else false
											sC(result2);
										},
										function(err){
											// ERROR
											console.error(err);
											eC();
										}
									);
								},
								function(err){
									// ERROR
									console.error(err);
									eC();
								}
							);
						},
						function(err){
							// ERROR
							console.error(err);
							eC();
						}
					);
				}
			},
			function(err){
				// ERROR
				console.error(err);
				eC();
			}
		);
	},
	validateInput: function(cObj){
		if($(cObj).attr("data-type")=='email_username'){
			var re = /[\s\S]{3,}/;
		}
		if($(cObj).attr("data-type")=='email'){
			var re = /[\s\S]{1,}@[\s\S]{2,}.[a-z]{2,}/;
		}
		else if($(cObj).attr("data-type")=='password'){
			var re = /[\s\S]{5,}/;
		}
		else if($(cObj).attr("data-type")=='username'){
			var re = /[a-zA-Z0-9\-_]{3,40}/;
		}
		else if($(cObj).attr("data-type")=='forename' || $(cObj).attr("data-type")=='surname'){
			var re = /[\s\S]{1,}/;
		}
		else{
			var re;
		}
		valid = re.test(cObj.value);

		if(valid){
			$(cObj).parent().parent().removeClass('invalid-message').children('span:first').css({'display':'none'});
		}
		else{
			if($(cObj).attr("data-type")=='email_username'){
				$(cObj).parent().parent().addClass('invalid-message').children('span:first').html($.t('onboarding.messages.loginEmailUsernameIncorrect'));
			}
			else if($(cObj).attr("data-type")=='password'){
				$(cObj).parent().parent().addClass('invalid-message').children('span:first').html($.t('onboarding.messages.loginPasswordIncorrect'));
			}
			$(cObj).parent().parent().children('span:first').css({'display':'block'});
		}
		console.log(valid);
		return valid;
	}
}