model = {
	onLoad: function(sC, eC){
		var self = this;
		var cPage = self.page.get();
		var cId = self.params.get('id');
		var e1PageId = self.params.get('e1PageId');

		self.data.observedData = ko.observableArray();

		var e2Data = models(e1PageId).getE1Data(cId);
		
		self.data.pageData = {
			'id':self.params.get("id"),
			'title':e2Data.name,
			'image':e2Data.image_url
		};

		_(e2Data.subcategories).forEach(function(cElement){
			cElement.e1PageId = e1PageId;
			cElement.e2Id = cId;
			self.data.observedData.push(cElement);
		});

		sC();
	},
	onFocus: function(sC, eC){
		sC();
	}
}