model = {
	onLoad: function(sC, eC){
		var self = this;
		var cPage = self.page.get();
		var cId = self.params.get('id');
		var e1PageId = self.params.get('e1PageId');
		var e2Id = self.params.get('e2Id');

		self.data.observedData = ko.observableArray();
		
		app.api.doAPIRequestAsync(
			':api',
			'categories/'+cId,
			{},
			'get',
			function(result){
				if(result.result===true){
					_(result.data.subcategories).forEach(function(cElement){
						cElement.e1PageId = e1PageId;
						cElement.e2Id = e2Id;
						cElement.e3Id = cId;
						self.data.observedData.push(cElement);
					});

					self.data.pageData = {
						'id':cId,
						'title':result.data.name,
						'image':models(e1PageId).getE1Data(e2Id).image_url
					};

					sC();
				}
				else{
					if(result.result===false || result.statusText=="timeout"){
						app.nav.alert.show($.t('searchBrowse.messages.errorUnknownError'),'error');
					}
					else{
						app.nav.alert.show($.t('searchBrowse.messages.noProductsFound'),'info');
					}
					self.page.remove();
					eC();
				}
			},
			eC
		);
	},
	onFocus: function(sC, eC){
		sC();
	}
}