model = {

	_def: {
		productId: null,
		productImageUri: null,
		productDescription: null
	},
	onLoad: function(sC,eC){
		sC();
	},
	onFocus: function(sC,eC){
		sC();
	},
	shareWithFacebook: function(){
		var self = this;
		var shareLink = 'http://'+app.settings.get('LANGUAGE')+'.dawanda.com/product/'+self._def.productId;

		facebookConnectPlugin.getLoginStatus(
			function(succ){
				if(succ.status=='connected'){
					// if status is connected
					facebookConnectPlugin.api(
						'/me/permissions',
						[],
						function(result1){
							// result1 = object with current permissions, need to check if enough
							var necessaryPermissions = new Array('email');
							_(result1.data).forEach(function(cElement){
								var index = necessaryPermissions.indexOf(cElement.permission);
								if(index > -1){
									necessaryPermissions.splice(index, 1);
								}
							});
							// if more than given perms needed
							if(necessaryPermissions.length>0){
								facebookConnectPlugin.api(
									'/me/permissions',
									necessaryPermissions,
									function(result2){
										// result2 = new Permission Object with all Perms needed (object is not needed)
										facebookConnectPlugin.showDialog(
											{
												method: 'feed',
												link: shareLink
											}
										);
									},
									function(err){
										// ERROR
										console.error(err);
									}
								);
							}
							// if all needed perms are given
							else{
								facebookConnectPlugin.showDialog(
									{
										method: 'feed',
										link: shareLink
									}
								);
							}
						},
						function(err){
							// ERROR
							// this function is fired if user deletes dawanda permission on facebook
							//alert('Sie haben DaWanda auf Facebook die App-Berechtigung entzogen, bitte neu einloggen!');
							console.error(err);
							facebookConnectPlugin.login(
								new Array('email'),
								function(succ){
									facebookConnectPlugin.getAccessToken(
										// result1 = AccessToken
										function(result1){
											facebookConnectPlugin.showDialog(
												{
													method: 'feed',
													link: shareLink
												}
											);
										},
										function(err){
											// ERROR
											console.error(err);
										}
									);
								},
								function(err){
									// ERROR
									console.error(err);
								}
							);
						}
					);
				}
				else{
					// if status is NOT connected
					facebookConnectPlugin.login(
						new Array('email'),
						function(succ){
							facebookConnectPlugin.getAccessToken(
								// result1 = AccessToken
								function(result1){
									facebookConnectPlugin.showDialog(
										{
											method: 'feed',
											link: shareLink
										}
									);
								},
								function(err){
									// ERROR
									console.error(err);
								}
							);
						},
						function(err){
							// ERROR
							console.error(err);
						}
					);
				}
			},
			function(err){
				// ERROR
				console.error(err);
			}
		);
	},
	shareWithPinterest: function(){
		var self = this;
		var shareLink = 'http://'+app.settings.get('LANGUAGE')+'.dawanda.com/product/'+self._def.productId;
		window.open('http://www.pinterest.com/pin/create/button/?url='+encodeURI(shareLink)+'&media='+encodeURI(self._def.productImageUri)+'&description='+encodeURI(self._def.productDescription), '_system');
	},
	shareWithAmazonWishList: function(){
		var self = this;
		//var shareLink = 'http://'+app.settings.get('LANGUAGE')+'.dawanda.com/product/'+self._def.productId;
		//alert('Amazon not working atm ;o)');
		window.open(GLOBALS.host+'/awl/add?productId='+self._def.productId+'&productImageUri='+encodeURI(self._def.productImageUri.replace("http:", "https:"))+'&productDescription='+encodeURI(self._def.productDescription)+'&lang='+app.settings.get('LANGUAGE'), '_system');
	},
	closeShare: function(){
		$('.btn-back:first').attr({'onclick':'app.nav.goBack();'});
		app.nav.hideLevel(4);
	}
};